### Function

# GLib Uri list_extract_uris

since: 2.6

#### Declaration [src]

    gchar**
    g_uri_list_extract_uris (
      const gchar* uri_list
    )

#### Description [src]

Splits an URI list conforming to the text/uri-list mime type defined in RFC 2483 into individual URIs, discarding any comments. The URIs are not validated.

Available since: 2.6

#### Parameters

`uri_list`

  Type: `const gchar*`

  An URI list.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

A newly allocated `NULL`-terminated list of strings holding the individual URIs. The array should be freed with g_strfreev().

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.